#!/usr/bin/perl

use ExtUtils::MakeMaker;

sub MY::postamble {
    package MY;
    "\npredist: all\n" .
    "\t\$(MAKE) manifest\n" .
    "\t\$(MAKE) tardist\n"
}


WriteMakefile(
    NAME		    => 'ServerOp',
    VERSION_FROM	=> 'VERSION', 
    AUTHOR          => 'Matt Cashner (matt@cre8tivegroup.com)',
    ABSTRACT        => 'Server monitoring and maintenance programs',
    dist         => { COMPRESS     =>'gzip',
                      SUFFIX       =>'gz',
                      DIST_DEFAULT => 'predist',
                    },
        
    PREREQ_PM	    => { 'Test::More' => '0.06',
                         'Test::Harness' => '1.22',
                       },
);
