#!/usr/bin/perl

use Test::More qw(no_plan);
use warnings;
use strict;
BEGIN { use_ok('TCG::Watchers::Config') }
$SIG{__WARN__} = sub { die shift };

eval { TCG::Watchers::Config->load(PATH => '/crap/config.file') };
ok($@, 'load() fails when given bogus config file');
ok(my $obj = TCG::Watchers::Config->load(PATH => 'test.conf'), 'load() functions with valid config file');

ok(!$obj->section(),'section() returns undef if not asked for a particular section');
